Bug 1319460 - Eclipse crashes on resize window
Summary: Eclipse crashes on resize window
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Eric Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1328388 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-03-20 10:33 UTC by Andreu Botella
Modified: 2017-08-08 13:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Wayland
Last Closed: 2017-08-08 13:59:53 UTC


Attachments (Terms of Use)
Java error report (135.19 KB, text/plain)
2016-03-20 10:33 UTC, Andreu Botella
no flags Details
File: backtrace (136.94 KB, text/plain)
2017-05-19 11:09 UTC, Rafal Luzynski
no flags Details

Description Andreu Botella 2016-03-20 10:33:00 UTC
Created attachment 1138219 [details]
Java error report

Since the last update, Eclipse segfaults when resizing or maximizing the window. Here's the output:

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007ff31c8b1570, pid=8210, tid=140682798819072
#
# JRE version: OpenJDK Runtime Environment (8.0_72-b16) (build 1.8.0_72-b16)
# Java VM: OpenJDK 64-Bit Server VM (25.72-b16 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libcairo.so.2+0x6e570]  cairo_surface_get_user_data+0x0
#
# Core dump written. Default location: /home/abotella/core or core.8210
#
# An error report file with more information is saved as:
# /home/abotella/hs_err_pid8210.log
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.java.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#


Version-Release number of selected component (if applicable):
4.5.2-5.fc24

Steps to Reproduce:
1. Open Eclipse and wait for the splash screen to finish loading.
2. Resize or maximize the window.
3. Sometimes it doesn't crash on the first try, but resizing the window again does it.

Actual results:
The window freezes for a moment, then crashes, with the output I posted above.

Expected results:
The resize happens.

Comment 1 Andreu Botella 2016-03-20 11:05:10 UTC
On further inspection, this bug only seems to occur on Wayland. At least, every time I've tried it on GNOME on Wayland, it crashes, and it doesn't seem to on GNOME on Xorg.

Comment 2 Alexander Kurtakov 2016-04-18 13:15:30 UTC
Eric, please test with latest Neon builds. Eclipse should not at least crash under wayland.

Comment 3 Eric Williams 2016-04-18 13:16:57 UTC
(In reply to Alexander Kurtakov from comment #2)
> Eric, please test with latest Neon builds. Eclipse should not at least crash
> under wayland.

No problem, will investigate.

Comment 4 Eric Williams 2016-04-18 13:47:27 UTC
I can't say with certainty that I was able to reproduce this bug exactly. Opening Eclipse Neon on Wayland seemed to work fine, even with maximizing/re-sizing. I got one crash after opening Eclipse but it was after several re-sizes/maximizes and I was not able to reproduce it after that. I am going to write that off as a "one-off".

I did notice that right clicking the perspective icons seems to crash Eclipse without fail. It causes a JDK crash instantly, no matter what.

Comment 5 Mat Booth 2016-05-07 10:41:57 UTC
(In reply to Eric Williams from comment #4)
> I did notice that right clicking the perspective icons seems to crash
> Eclipse without fail. It causes a JDK crash instantly, no matter what.

That crash (right-click perspective icon) is already reported in bug 1290784

Comment 6 Zhengyu 2016-07-08 20:38:16 UTC
*** Bug 1328388 has been marked as a duplicate of this bug. ***

Comment 7 Matthias Clasen 2016-09-01 11:24:24 UTC
Comment 4 sounds like this is not occurring anymore. Can anybody reproduce with f25 ?

Comment 8 Christian Stadelmann 2016-09-01 11:37:43 UTC
(In reply to Matthias Clasen from comment #7)
> Comment 4 sounds like this is not occurring anymore. Can anybody reproduce
> with f25 ?

I can confirm that it doesn't crash on F25 any more, but it still does on F24.

Comment 9 Christian Stadelmann 2016-09-28 18:41:59 UTC
Ok, now I'm still seeing this issue on F25, it is not gone yet.

Comment 10 Rafal Luzynski 2017-05-19 11:09:24 UTC
Similar problem has been detected:

I was starting Eclipse IDE while at this time Firefox was starting and restoring lots of windows.
It was all just after starting the computer. It is possible that some other services were starting
at the same time. Shortly, CPU was heavily loaded.

This happens sometimes when I start Eclipse for the first time. The second start is successful.
What I suspect is some timeouts, not enough CPU or other resources.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/java -Dosgi.requiredJavaVersion=1.8 -Xms512m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -Dosgi.framework.extensions=org.eclipse.wst.jsdt.nashorn.extension -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.6.1.v20160915-0852/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.400.v20160915-0852/eclipse_1617.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar -protect master --launcher.appendVmargs -exitdata 3e0054 -vm /usr/bin/java -vmargs -Dosgi.requiredJavaVersion=1.8 -Xms512m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -Dosgi.framework.extensions=org.eclipse.wst.jsdt.nashorn.extension -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar
crash_function: os::abort(bool)
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc24.x86_64/jre/bin/java
global_pid:     1857
kernel:         4.10.14-100.fc24.x86_64
package:        java-1.8.0-openjdk-headless-1.8.0.131-1.b12.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         java killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            500

Comment 11 Rafal Luzynski 2017-05-19 11:09:30 UTC
Created attachment 1280372 [details]
File: backtrace

Comment 12 Rafal Luzynski 2017-06-19 11:18:19 UTC
Similar problem has been detected:

Just tried to launch Eclipse. I believe the next launch will be successful because the same happened several times in the past.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/java -Dosgi.requiredJavaVersion=1.8 -Xms512m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -Dosgi.framework.extensions=org.eclipse.wst.jsdt.nashorn.extension -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.6.1.v20160915-0852/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.400.v20160915-0852/eclipse_1617.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar -protect master --launcher.appendVmargs -exitdata 74008f -vm /usr/bin/java -vmargs -Dosgi.requiredJavaVersion=1.8 -Xms512m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -Dosgi.framework.extensions=org.eclipse.wst.jsdt.nashorn.extension -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar
crash_function: os::abort(bool)
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc24.x86_64/jre/bin/java
global_pid:     2340
kernel:         4.10.17-100.fc24.x86_64
package:        java-1.8.0-openjdk-headless-1.8.0.131-1.b12.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         java killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            500

Comment 13 Fedora End Of Life 2017-07-25 20:22:02 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-08-08 13:59:53 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.